﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>AutoComplete Text/Value Demo</title>
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />

    <script language="javascript" type="text/javascript">
    
// The IAmSelected function has two parameters one, is the source(that is, the control that is 
// calling this function) and the eventArgs. The eventArgs contains the text and value information 
// from the list item in the ArrayList returned from the AutoComplete web service. 
// 
// The eventArgs also has two methods to retrieve the text and value information: 
// getText() and get_value().

    function IAmSelected( source, eventArgs ) {
            // Send alert message to screen
            alert( " Text : "+ eventArgs.get_text() +"  Value :  "+eventArgs.get_value()); 
            
            // Fill txtCategoryID field with CategoryID value
            document.getElementById("txtCategoryID").value = eventArgs.get_value();
            
            // In practice, I use a HiddenField control to store the value.
            // document.getElementById("hdnCategoryID").value = eventArgs.get_value();
      }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <span style="font-size: xx-large">AJAX AutoCompleteExtender Text/Value Demonstration</span>
        <hr />
        <br />
        <span style="text-decoration: underline; font-weight: bold">Categories Table from Northwind
            Database</span>
    </div>
    <div>
        <br />
        <asp:GridView ID="gvCategory" runat="server">
        </asp:GridView>
    </div>
    <br />
    <asp:ScriptManager ID="ScriptManager1" runat="server">
        <Services>
            <asp:ServiceReference Path="~/AutoComplete.asmx" />
        </Services>
    </asp:ScriptManager>
    <asp:Label ID="lblCategoryName" runat="server" Text="Select Category: "></asp:Label>
    <asp:TextBox ID="txtCategoryName" runat="server" CssClass="textBox" Text="AutoComplete"
        ToolTip="AJAX AutoCompleteExtender.  Enter two characters to test."></asp:TextBox>
    <asp:Label ID="lblCategoryId" runat="server" Text="CategoryID Selected: "></asp:Label>
    <asp:TextBox ID="txtCategoryId" runat="server"></asp:TextBox>
    <%-- Settings Checks:
    1) Add ServiceReference in to Script Manager
    2) Set TargetControlID attribute in AutoComplete Extender
    3) Set ServicePath attribute in AutoCompleteExtender
    3) Set ServiceMethod attribute in AutoCompleteExtender
    4) Set MinimumPrefixLength attribut in AutoCompleteExtender
    5) Set EnableCaching attribute in AutoCompleteExtender
    6) Set OnClientItemSelected attribute in AutoCompleteExteder. The value is the name
       of the JavaScript function to be called when an item is selected. --%>
    <cc1:AutoCompleteExtender ID="aceCategory" runat="server" TargetControlID="txtCategoryName"
        ServicePath="AutoComplete.asmx" ServiceMethod="GetCategories" MinimumPrefixLength="2"
        EnableCaching="true" OnClientItemSelected="IAmSelected">
    </cc1:AutoCompleteExtender>
    <div>
        <br />
        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <span style="text-decoration: underline; font-weight: bold">Select Category Drop Down
                    List</span>
                <br />
                <br />
                <asp:DropDownList ID="ddlCategoryName" runat="server" AutoPostBack="True">
                </asp:DropDownList>
                <asp:Label ID="lblddlCategoryID" runat="server" Text="CategoryId Selected: "></asp:Label>
                <asp:TextBox ID="txtddlCategoryID" runat="server">
                </asp:TextBox>
                <asp:Label ID="lblddlCategoryName" runat="server" Text="Category Name Selected: ">
                </asp:Label>
                <asp:TextBox ID="txtddlCategoryName" runat="server">
                </asp:TextBox>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>
