﻿
Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            ' Create new instance of the CategoryDataContext class
            Dim db As New CategoryDataContext

            ' LINQ Query: Retriev all of the records from the Categories table.
            Dim category = From p In db.Categories _
                        Select p

            ' Load results of LINQ query into grid.
            gvCategory.DataSource = category
            gvCategory.DataBind()

            ' Load results into drop down list.
            ddlCategoryName.DataSource = category
            ddlCategoryName.DataTextField = "CategoryName"
            ddlCategoryName.DataValueField = "CategoryId"
            ddlCategoryName.DataBind()
        End If
    End Sub

    Protected Sub ddlCategoryName_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddlCategoryName.SelectedIndexChanged
        txtddlCategoryID.Text = ddlCategoryName.SelectedValue.ToString
        txtddlCategoryName.Text = ddlCategoryName.SelectedItem.Text
    End Sub
End Class
