﻿Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols

' To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line.
<System.Web.Script.Services.ScriptService()> _
<WebService(Namespace:="http://tempuri.org/")> _
<WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Public Class AutoComplete
    Inherits System.Web.Services.WebService

    <WebMethod()> _
    Public Function GetCategories(ByVal prefixText As String, ByVal count As Integer) As String()
        Dim items As New List(Of String)
        Dim categoryName As String
        Dim categoryID As String

        Dim db As New CategoryDataContext   ' Class built by Category data model   

        ' Run LINQ query to fetch category records from the Categories table in the Northwind database based upon
        ' the prefixText. The prefixText is what the user entered in the txtCategory box.
        Dim categoryRecords = From p In db.Categories _
                              Where p.CategoryName.StartsWith(prefixText) _
                              Select p

        ' Loop through categoryRecords "collection".
        For Each categoryRecord As Category In categoryRecords
            categoryName = categoryRecord.CategoryName
            categoryID = categoryRecord.CategoryID

            ' Add record to items List using CreateAutoCompleteItem(text,value) method returns a string.
            items.Add(AjaxControlToolkit.AutoCompleteExtender.CreateAutoCompleteItem(categoryName, categoryID))
        Next

        Return items.ToArray()
    End Function

End Class
